Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79572 - xml-common should not export docbook resources
Summary: xml-common should not export docbook resources
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sgml-common
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 16:11 UTC by Daniel Veillard
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-31 12:45:43 UTC


Attachments (Terms of Use)

Description Daniel Veillard 2002-12-13 16:11:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
xml-common owns the following files:

/etc/xml
/etc/xml/catalog
/usr/share/sgml/docbook
/usr/share/sgml/docbook/xmlcatalog

the 2 first are completely generic and should be DTD agnostic
the 2 last are completely tied to DocBook
The two should be decoupled

I suggest to either move /etc/xml and /etc/xml/catalog 
(empty containing only 
<?xml version="1.0"?>
<!DOCTYPE catalog PUBLIC "-//OASIS//DTD Entity Resolution XML Catalog V1.0//EN"
"http://www.oasis-open.org/committees/entity/release/1.0/catalog.dtd"/>
)
into the filesystem package
or move out the docbook resources from the package onto docbook
specific packages.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install xml-common
2.rpm -qil xml-common

    

Additional info:

The key point is that installing other DTD or XML resources
in the catalog should not have to rely on DocBook resources
being installed.

Comment 1 Ville Skyttä 2003-12-06 19:42:52 UTC
This issue still exists in Fedora Core 1 (I tried changing the fields
but was not permitted.)

Comment 2 Daniel Veillard 2006-05-31 12:45:43 UTC
Let's drop this, at this point it doesn't matter.

Daniel


Note You need to log in before you can comment on or make changes to this bug.